//Property of Paglia Industries
// B.A.X.T.E.R - C.C.H - A.I Code
// V.6.4
// 06/10/2021
#include <LiquidCrystal.h>
#include <Wire.h>
#include <Adafruit_SSD1306.h>
#include <Adafruit_GFX.h>
#include "MOVIShield.h" // Include MOVI library, needs to be *before* the next #include

#if defined(ARDUINO_ARCH_AVR) || defined(ARDUINO_ARCH_PIC32)
#include <SoftwareSerial.h> // This is nice and flexible but only supported on AVR and PIC32 architecture, other boards need to use Serial1 
#endif


MOVI recognizer(true); // Get a MOVI object, true enables serial monitor interface, rx and tx can be passed as parameters for alternate communication pins on AVR architecture

//MOVI Uses Pins 10 & 11 to Communicate With the Arduino.To rewire MOVI’s communication to different pins, open Jumper 2 and Jumper 3 and connect the right side of MOVI's TX jumper (Jumper 2) 
//and the right side of MOVI's RX jumper (Jumper 3) to two other connectors on the Arduino headers using jumper wires. The right side is the pin that is closer to the power and USB plugs.

//PINS 10 & 11 ARE OFF LIMITS. DO NOT CONNECT ANYTHING TO THEM OR THE MOVI WON'T RESPOND OR EXECUTE ANY COMMANDS. 

//Define Connected Pins and Millis Delays
//LCD Screen
int Contrast=5;
LiquidCrystal lcd(12, 9, 5, 4, 3, 7);

//OLED
#define OLED_WIDTH 128
#define OLED_HEIGHT 64
#define OLED_ADDR   0x3C //OLED Address For Display Across Screens 
Adafruit_SSD1306 display(OLED_WIDTH, OLED_HEIGHT);

//Random Stuff (Literally) 
long randNumber;
char *RPS[]={"Rock","Paper","Scissors"};
long RPS1;

//RGB LED
const int redpin=22;
const int greenpin=23;
const int bluepin=2;

//Arduino Pins for triggering RPI SoundFX 
const int Button1=24; //Goes Through Level Shifter to GPIO 4
const int Button2=25; //Goes Through Level Shifter to GPIO 27
const int Button3=26; //Goes Through Level Shifter to GPIO 22
const int Button4=27; //Goes Through Level Shifter to GPIO 23
const int Button5=28; //Goes Through Level Shifter to GPIO 24
const int Button6=29; //Goes Through Level Shifter to GPIO 25
const int Button7=30; //Goes Through Level Shifter to GPIO 5
const int Button8=31; //Goes Through Level Shifter to GPIO 6
const int Button9=32; //Goes Through Level Shifter to GPIO 12
const int Button10=33; //Goes Through Level Shifter to GPIO 13
const int Button11=34; //Goes Through Level Shifter to GPIO 26
const int Button12=35; //Goes Through Level Shifter to GPIO 17

//Millis-Link: https://www.norwegiancreations.com/2017/09/arduino-tutorial-using-millis-instead-of-delay/
int period1 = 1000; //1sec Delay
int period2 = 2000; //2sec Delay
int period3 = 3000; //3sec Delay
int period4 = 4000; //4sec Delay
int period5 = 5000; //5sec Delay
int period6 = 6000; //6sec Delay
int period7 = 7000; //7sec Delay
int period8 = 8000; //8sec Delay
int period9 = 9000; //9sec Delay
int period10 = 10000; //10sec Delay
int period20 = 20000; //20sec Delay
unsigned long time_now = 0;
